Bug 1164034 - Performance by Asset Type report undefined method error
Summary: Performance by Asset Type report undefined method error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.3.2
Assignee: Shveta
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On: 1161744
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-14 00:11 UTC by Dave Johnson
Modified: 2019-06-13 08:07 UTC (History)
8 users (show)

Fixed In Version: 5.3.2
Doc Type: Bug Fix
Doc Text:
The array that stored the reports (the children) for a particular Report tree node stored nil values in the absence of the corresponding report records. Attempts to view Performance by Asset Type report as user Admin resulted in an error. This fix populates the Reports tree children for a node only if reports exists. No error appears when attempting to view Performance by Asset Type reports.
Clone Of: 1161744
Environment:
Last Closed: 2015-01-14 19:43:29 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
report (233.14 KB, image/png)
2015-01-05 18:23 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0028 normal SHIPPED_LIVE Important: cfme security, bug fix, and enhancement update 2015-01-15 00:41:27 UTC

Comment 1 CFME Bot 2014-11-17 17:51:08 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=713a78850e18648cea47df56e9e9ec7e3b269002

commit 713a78850e18648cea47df56e9e9ec7e3b269002
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Thu Nov 13 14:20:58 2014 -0800
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Mon Nov 17 09:50:27 2014 -0800

    Populate Reports tree children for a node only if reports exists.
    
    The array that stores the reports (the children) for a particular Report
    tree node was storing nils in the absence of the corresponding MiqReport
    records, causing a "load error" in the Reports dynatree, which has
    been fixed.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1164034

 vmdb/app/controllers/application_controller/explorer.rb | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Comment 4 Shveta 2015-01-05 18:23:22 UTC
Created attachment 976546 [details]
report

Verified in 5.3.2.5.20141218144833_50406a5

Comment 6 errata-xmlrpc 2015-01-14 19:43:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0028.html


Note You need to log in before you can comment on or make changes to this bug.